Package com.treemap

# Enum Class TreeMapSettings.PropertyType

java.lang.Object
java.lang.Enum<TreeMapSettings.PropertyType>
com.treemap.TreeMapSettings.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeMapSettings.PropertyType>`, `Constable`

Enclosing interface:
  `TreeMapSettings<N,Column,Color,Font>`

public static enum TreeMapSettings.PropertyType extends Enum<TreeMapSettings.PropertyType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `background`
  `backgroundField`
  `colorField`
  `depth`
  `dimension`
  `dimensionFixed`
  `groupByField`
  `heightField`
  `hideFilterResults`
  `hideSearchResults`
  `labelsField`
  `lightSourceAmbient`
  `lightSourceHeight`
  `lightSourceX`
  `lightSourceY`
  `lightSourceZ`
  `maximumHeight`
  `probingColor`
  `rendering`
  `selectionColor`
  `sizeField`
  `tooltipBackground`
  `toolTipField`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TreeMapSettings.PropertyType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TreeMapSettings.PropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### sizeField

    public static final TreeMapSettings.PropertyType sizeField

  - ### colorField

    public static final TreeMapSettings.PropertyType colorField

  - ### labelsField

    public static final TreeMapSettings.PropertyType labelsField

  - ### toolTipField

    public static final TreeMapSettings.PropertyType toolTipField

  - ### backgroundField

    public static final TreeMapSettings.PropertyType backgroundField

  - ### heightField

    public static final TreeMapSettings.PropertyType heightField

  - ### groupByField

    public static final TreeMapSettings.PropertyType groupByField

  - ### depth

    public static final TreeMapSettings.PropertyType depth

  - ### rendering

    public static final TreeMapSettings.PropertyType rendering

  - ### background

    public static final TreeMapSettings.PropertyType background

  - ### tooltipBackground

    public static final TreeMapSettings.PropertyType tooltipBackground

  - ### probingColor

    public static final TreeMapSettings.PropertyType probingColor

  - ### selectionColor

    public static final TreeMapSettings.PropertyType selectionColor

  - ### hideSearchResults

    public static final TreeMapSettings.PropertyType hideSearchResults

  - ### hideFilterResults

    public static final TreeMapSettings.PropertyType hideFilterResults

  - ### dimension

    public static final TreeMapSettings.PropertyType dimension

  - ### dimensionFixed

    public static final TreeMapSettings.PropertyType dimensionFixed

  - ### maximumHeight

    public static final TreeMapSettings.PropertyType maximumHeight

  - ### lightSourceHeight

    public static final TreeMapSettings.PropertyType lightSourceHeight

  - ### lightSourceAmbient

    public static final TreeMapSettings.PropertyType lightSourceAmbient

  - ### lightSourceX

    public static final TreeMapSettings.PropertyType lightSourceX

  - ### lightSourceY

    public static final TreeMapSettings.PropertyType lightSourceY

  - ### lightSourceZ

    public static final TreeMapSettings.PropertyType lightSourceZ

- ## Method Details

  - ### values

    public static TreeMapSettings.PropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TreeMapSettings.PropertyType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null